Mariner GPS Tools -kehittäjäalusta
Laske alkuperäinen tosisuuntima
Laske kahden pisteen välinen alkusuuntima
Liitännät
POST
REST päätepiste
/api/v1/bearingMCP
Työkalun nimi
calculate_bearingPyyntö
Lähetä pyyntö muodossa JSON. MCP-asiakkaat välittävät samat kentät kuin työkaluargumentit.
cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"from": {
"lat": 50.1,
"lng": -4.2
},
"to": {
"lat": 49.8,
"lng": -3.1
}
}'Pyynnön runkojson
{
"from": {
"lat": 50.1,
"lng": -4.2
},
"to": {
"lat": 49.8,
"lng": -3.1
}
}Vastaus
REST kääri laskentatuloksen tavalliseen onnistumiskirjekuoreen. MCP palauttaa samat laskentatiedot kuin strukturoidun työkalun tulos.
JSON
{
"ok": true,
"data": {
"degrees": 112.54786806700503,
"compass": "ESE"
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Kaaviot
Alla olevat määritelmät näyttävät täydellisen JSON-skeeman, jota käytetään tulojen vahvistamiseen ja lähtöjen kuvaamiseen.
Syöteskeema
{
"type": "object",
"additionalProperties": false,
"properties": {
"from": {
"type": "object",
"additionalProperties": false,
"properties": {
"lat": {
"type": "string",
"description": "Latitude as decimal degrees or a coordinate string such as 51° 30′ 26.4″ N."
},
"lng": {
"type": "string",
"description": "Longitude as decimal degrees or a coordinate string such as 0° 07′ 39″ W."
}
},
"required": [
"lat",
"lng"
]
},
"to": {
"type": "object",
"additionalProperties": false,
"properties": {
"lat": {
"type": "string",
"description": "Latitude as decimal degrees or a coordinate string such as 51° 30′ 26.4″ N."
},
"lng": {
"type": "string",
"description": "Longitude as decimal degrees or a coordinate string such as 0° 07′ 39″ W."
}
},
"required": [
"lat",
"lng"
]
}
},
"required": [
"from",
"to"
]
}Tulosskeema
{
"type": "object",
"additionalProperties": false,
"properties": {
"degrees": {
"type": "number"
},
"compass": {
"type": "string"
}
},
"required": [
"degrees",
"compass"
]
}